summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-01-13 15:14:06 +0100
committerMichał Górny <mgorny@gentoo.org>2021-01-16 10:53:06 +0100
commit5a8858906b9338ab459a7a6640c24695c8abfa2d (patch)
tree2a1227b6e2239bfccb9d77acc7525a96ad36b5ae /eclass/dist-kernel-utils.eclass
parentkernel-install.eclass: Include SLOT in --config suggestion (diff)
downloadgentoo-5a8858906b9338ab459a7a6640c24695c8abfa2d.tar.gz
gentoo-5a8858906b9338ab459a7a6640c24695c8abfa2d.tar.bz2
gentoo-5a8858906b9338ab459a7a6640c24695c8abfa2d.zip
kernel-install.eclass: Improve failed install error messages
Support and use nonfatal to provide a detailed error message when kernel postinst fails, in particular the correct 'emerge --config' command. Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'eclass/dist-kernel-utils.eclass')
-rw-r--r--eclass/dist-kernel-utils.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/dist-kernel-utils.eclass b/eclass/dist-kernel-utils.eclass
index d92642a25a0a..d65dc0924b40 100644
--- a/eclass/dist-kernel-utils.eclass
+++ b/eclass/dist-kernel-utils.eclass
@@ -43,7 +43,7 @@ dist-kernel_build_initramfs() {
ebegin "Building initramfs via dracut"
dracut --force "${output}" "${version}"
- eend ${?} || die "Building initramfs failed"
+ eend ${?} || die -n "Building initramfs failed"
}
# @FUNCTION: dist-kernel_get_image_path
@@ -89,7 +89,7 @@ dist-kernel_install_kernel() {
# note: .config is taken relatively to System.map;
# initrd relatively to bzImage
installkernel "${version}" "${image}" "${map}"
- eend ${?} || die "Installing the kernel failed"
+ eend ${?} || die -n "Installing the kernel failed"
}
# @FUNCTION: dist-kernel_reinstall_initramfs